Bug 1462999 - python exception, no match for argument
python exception, no match for argument
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 16:53 EDT by Herbert Carl Meyer
Modified: 2018-05-29 07:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:31:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert Carl Meyer 2017-06-19 16:53:06 EDT
Description of problem:
attempt to intall updates with yumex-dnf results in exception

Version-Release number of selected component (if applicable):

4.3.3-4.1.fc26

How reproducible:
100%

Steps to Reproduce:
1.start yumex-dnf
2.select updates to apply
3.approve selection

Actual results:

python exception:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.MarkingError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 485, in AddTransaction
    value = self.add_transaction(pkg_id, action)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 495, in add_transaction
    rc = self.base.package_upgrade(po)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1674, in package_upgrade
    raise dnf.exceptions.MarkingError(_('No match for argument: %s') % pkg.location, pkg.name)
dnf.exceptions.MarkingError: No match for argument: Packages/p/python2-msgpack-0.4.8-3.fc26.x86_64.rpm
 (36)

Expected results:
apply updates

Additional info:

dnf will apply updates from command line
Comment 1 Aaron Lu 2017-08-07 21:31:40 EDT
Same here, my error log is only different in the rpm package name:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.MarkingError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 485, in AddTransaction
    value = self.add_transaction(pkg_id, action)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 495, in add_transaction
    rc = self.base.package_upgrade(po)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1736, in package_upgrade
    raise dnf.exceptions.MarkingError(_('No match for argument: %s') % pkg.location, pkg.name)
dnf.exceptions.MarkingError: No match for argument: p/python3-asn1crypto-0.22.0-4.fc26.noarch.rpm
 (36)
Comment 2 Aaron Lu 2017-08-07 21:35:45 EDT
When I use dnf upgrade in the commandline, I noticed the so called p/python3-asyn1crypto-0.22.0-4.fc26.noarch.rpm is to be installed as a dependency. Full log of 'dnf upgrade':

[aaron@aaronlu 500ms]$ sudo dnf upgrade
Last metadata expiration check: 1:04:32 ago on Tue 08 Aug 2017 08:29:52 AM CST.
Dependencies resolved.
======================================================================================================================================================================================
 Package                                             Arch                                 Version                                         Repository                             Size
======================================================================================================================================================================================
Upgrading:
 cmake                                               x86_64                               3.9.0-8.fc26                                    updates                               7.4 M
 cmake-data                                          noarch                               3.9.0-8.fc26                                    updates                               1.2 M
 cmake-filesystem                                    x86_64                               3.9.0-8.fc26                                    updates                                35 k
 dhcp-client                                         x86_64                               12:4.3.5-9.fc26                                 updates                               307 k
 dhcp-common                                         noarch                               12:4.3.5-9.fc26                                 updates                               199 k
 dhcp-libs                                           x86_64                               12:4.3.5-9.fc26                                 updates                               139 k
 expat                                               x86_64                               2.2.3-1.fc26                                    updates                                91 k
 expat-devel                                         x86_64                               2.2.3-1.fc26                                    updates                                61 k
 file                                                x86_64                               5.30-8.fc26                                     updates                                70 k
 file-libs                                           x86_64                               5.30-8.fc26                                     updates                               504 k
 gdb                                                 x86_64                               8.0-20.fc26                                     updates                               282 k
 gdb-headless                                        x86_64                               8.0-20.fc26                                     updates                               3.3 M
 git                                                 x86_64                               2.13.4-1.fc26                                   updates                               1.1 M
 git-core                                            x86_64                               2.13.4-1.fc26                                   updates                               4.0 M
 git-core-doc                                        x86_64                               2.13.4-1.fc26                                   updates                               2.2 M
 git-email                                           noarch                               2.13.4-1.fc26                                   updates                                75 k
 git-gui                                             noarch                               2.13.4-1.fc26                                   updates                               284 k
 gitk                                                noarch                               2.13.4-1.fc26                                   updates                               190 k
 gnome-online-accounts                               x86_64                               3.24.2-1.fc26                                   updates                               554 k
 hwdata                                              noarch                               0.303-1.fc26                                    updates                               1.4 M
 libsolv                                             x86_64                               0.6.28-5.fc26                                   updates                               367 k
 perl-Git                                            noarch                               2.13.4-1.fc26                                   updates                                67 k
 python3-cryptography                                x86_64                               2.0.2-1.fc26                                    updates                               507 k
 qpdf-libs                                           x86_64                               6.0.0-6.fc26                                    updates                               310 k
Installing dependencies:
 python3-asn1crypto                                  noarch                               0.22.0-4.fc26                                   updates                               176 k

Transaction Summary
======================================================================================================================================================================================
Install   1 Package
Upgrade  24 Packages

Total download size: 25 M
Is this ok [y/N]:
Comment 3 Juhani Jaakola 2017-08-29 14:36:08 EDT
If there are no packages to be installed as dependencies, yumex-dnf-4.3.3-4.1.fc26 works. But if there are dependencies to be installed (such as lash-libs for package lash), this error occurs.
Comment 4 markusN 2017-08-30 08:39:53 EDT
Same here:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.MarkingError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 485, in AddTransaction
    value = self.add_transaction(pkg_id, action)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 495, in add_transaction
    rc = self.base.package_upgrade(po)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1729, in package_upgrade
    raise dnf.exceptions.MarkingError(_('No match for argument: %s') % pkg.location, pkg.name)
dnf.exceptions.MarkingError: No match for argument: l/lash-libs-0.5.4-31.fc26.x86_64.rpm
 (36)

rpm -qa | grep lash
lash-0.5.4-28.fc26.x86_64

--> I have no lash-libs yet on the system

It apparently happens when a not-yet-existing dependency needs to be added?
Comment 5 Aaron Lu 2017-09-05 01:49:58 EDT
It appears yumex-dnf is deprecated and will be replaced by dnf-dragora:
https://fedoraproject.org/wiki/Changes/Replace_yumex-dnf_with_dnfdragora
Comment 6 Fedora End Of Life 2018-05-03 04:12:10 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2018-05-29 07:31:55 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.